Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class TCPRemoteCommitProvider.TCPPortListener

    java.lang.Object
      |
      +--kodo.event.TCPRemoteCommitProvider.TCPPortListener

All Implemented Interfaces:
  Runnable

Enclosing class:
  TCPRemoteCommitProvider

protected static class TCPRemoteCommitProvider.TCPPortListener
extends Object
implements Runnable

Responsible for listening for packets and processing the received packets. There is a single listener per JVM. This is because only a single socket can bind to a given port.

Field Summary
`protected int` | `port` The port that this listener should listen on.

Constructor Summary
`protected` | `TCPRemoteCommitProvider.TCPPortListener(int port, Log log)` Construct a new TCPPortListener configured to use the specified port.

Method Summary
`protected void` | `addProvider(TCPRemoteCommitProvider provider)` All providers added here will be notified of any incoming provider messages.
`protected void` | `handle(InputStream in)` Process an `InputStream` containing objects written by `TCPRemoteCommitProvider#broadcastCommitInfo`.
`protected boolean` | `isRunning()`
`protected void` | `listen()`
`protected void` | `removeProvider(TCPRemoteCommitProvider provider)` Remove a provider from the list of providers to notify of commit events.
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### port

    protected int port

  The port that this listener should listen on. Configured by TCPRemoteCommitProvider.

Constructor Detail

### TCPRemoteCommitProvider.TCPPortListener

    protected TCPRemoteCommitProvider.TCPPortListener(int port,
                                                      Log log)
                                               throws UnknownHostException,
                                                      IOException

  Construct a new TCPPortListener configured to use the specified port.

Method Detail

### addProvider

    protected void addProvider(TCPRemoteCommitProvider provider)

  All providers added here will be notified of any incoming provider messages. There will be one of these per PersistenceManagerFactory in a given JVM. `TCPRemoteCommitProvider.endConfiguration()` invokes `addProvider` with `this` upon completion of configuration.

### removeProvider

    protected void removeProvider(TCPRemoteCommitProvider provider)

  Remove a provider from the list of providers to notify of commit events.

### handle

    protected void handle(InputStream in)
                   throws IOException,
                          ClassNotFoundException,
                          OptionalDataException

  Process an `InputStream` containing objects written by `TCPRemoteCommitProvider#broadcastCommitInfo`.

### listen

    protected void listen()

### isRunning

    protected boolean isRunning()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.